package cn.com.tenlion.systembase.controller.route.stuteasafe;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: StuTeaSafeController
 * @Description: 涉及师生安全的案（事）件
 * @Author: CodeFactory
 * @Date: 2021-10-13 11:08:57
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "涉及师生安全的案（事）件路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/stuteasafe")
public class StuTeaSafeRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("stuteasafe/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("stuteasafe/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("stuteasafe/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("stuteasafe/list-view");
    }

}